 /* #Primary
================================================== */

body {
    /* font-family: "Century Gothic", Sans-serif; */
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    color: #777777;
    background-color: #fff;
    overflow-x: hidden;
    transition: all 200ms linear;
}

/*  */
.overlay-shadow{
    position: absolute;
    height: 50%;
    bottom: -1px;
    left: 0;
    right: 0;
    background: linear-gradient(rgba(40, 40, 40, 0), rgb(12, 10, 10) 100%);
}

::selection {
    background-color: #ddd;
}

::-moz-selection {
    background-color: #ddd;
}


/* #Navigation
================================================== */

.start-header {
    opacity: 1;
    transform: translateY(0);
    padding: 10px 0;
    box-shadow: 0 10px 30px 0 rgba(138, 155, 165, 0.15);
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.start-header.scroll-on {
    box-shadow: 0 5px 10px 0 rgba(138, 155, 165, 0.15);
    padding: 5px 0;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.start-header.scroll-on .navbar-brand img {
    height: 28px;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.navigation-wrap {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 1000;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.navbar {
    padding: 0;
}

.navbar-brand img {
    height: 40px;
    width: auto;
    display: block;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

.navbar-toggler {
    float: right;
    border: none;
    padding-right: 0;
}

.navbar-toggler:active,
.navbar-toggler:focus {
    outline: none;
}

.navbar-light .navbar-toggler-icon {
    width: 24px;
    height: 17px;
    background-image: none;
    position: relative;
    border-bottom: 1px solid #000;
    transition: all 300ms linear;
}

.navbar-light .navbar-toggler-icon:after,
.navbar-light .navbar-toggler-icon:before {
    width: 24px;
    position: absolute;
    height: 1px;
    background-color: #000;
    top: 0;
    left: 0;
    content: '';
    z-index: 2;
    transition: all 300ms linear;
}

.navbar-light .navbar-toggler-icon:after {
    top: 8px;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
    transform: rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
    transform: translateY(8px) rotate(-45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    border-color: transparent;
}

.nav-link {
    font-weight: 700;
    transition: all 200ms linear;
}

.nav-item:hover .nav-link {
    color: #fecb35 !important;
}

.nav-item.active .nav-link {
    color: #777 !important;
}

.nav-link {
    position: relative;
    padding: 5px 0 !important;
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-size: 12px;
}

.nav-item:after {
    position: absolute;
    bottom: -5px;
    left: 0;
    width: 100%;
    height: 2px;
    content: '';
    background-color: #fecb35;
    opacity: 0;
    transition: all 200ms linear;
}

.nav-item:hover:after {
    bottom: 0;
    opacity: 1;
}

.nav-item.active:hover:after {
    opacity: 0;
}

.nav-item {
    position: relative;
    transition: all 200ms linear;
}

/* #Primary style
================================================== */

.bg-light {
    background-color: #fff !important;
    transition: all 200ms linear;
}

.section {
    position: relative;
    width: 100%;
    display: block;
}

.full-height {
    height: 100vh;
}

.over-hide {
    overflow: hidden;
}

.absolute-center {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    margin-top: 40px;
    transform: translateY(-50%);
    z-index: 20;
}

h1 {
    font-size: 48px;
    line-height: 1.2;
    font-weight: 700;
    /* text-align: center; */
}

p {
    opacity: 1;
    transform: translate(0);
    transition: all 300ms linear;
    transition-delay: 1700ms;
}

 
h1 span {
    display: inline-block;
    transition: all 300ms linear;
    opacity: 1;
    transform: translate(0);
}
 


 
 

.nav-item .dropdown-menu {
    transform: translate3d(0, 10px, 0);
    visibility: hidden;
    opacity: 0;
    max-height: 0;
    display: block;
    padding: 0;
    margin: 0;
    transition: all 200ms linear;
}

.nav-item.show .dropdown-menu {
    opacity: 1;
    visibility: visible;
    max-height: 999px;
    transform: translate3d(0, 0px, 0);
}

.dropdown-menu {
    padding: 10px !important;
    margin: 0;
    font-size: 13px;
    letter-spacing: 1px;
    color: #212121;
    background-color: #fcfaff;
    border: none;
    border-radius: 3px;
    box-shadow: 0 5px 10px 0 rgba(138, 155, 165, 0.15);
    transition: all 200ms linear;
}

.dropdown-toggle::after {
    display: none;
}

.dropdown-item {
    padding: 3px 15px;
    color: #212121;
    border-radius: 2px;
    transition: all 200ms linear;
}

.dropdown-item:hover,
.dropdown-item:focus {
    color: #fff;
    background-color: rgba(129, 103, 169, .6);
}

body.dark {
    color: #fff;
    background-color: #2a2c2b;
}

body.dark h1 {
    color: #fff;
}

body.dark h1 span {
    transition-delay: 0ms !important;
}

body.dark p {
    color: #fff;
    transition-delay: 0ms !important;
}

body.dark .bg-light {
    background-color: #14151a !important;
}

body.dark .start-header {
    box-shadow: 0 10px 30px 0 rgba(0, 0, 0, 0.15);
}

body.dark .start-header.scroll-on {
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.15);
}

body.dark .nav-link {
    color: #fff !important;
}

body.dark .nav-item.active .nav-link {
    color: #999 !important;
}

body.dark .dropdown-menu {
    color: #fff;
    background-color: #1f2029;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.25);
}

body.dark .dropdown-item {
    color: #fff;
}

body.dark .navbar-light .navbar-toggler-icon {
    border-bottom: 1px solid #fff;
}

body.dark .navbar-light .navbar-toggler-icon:after,
body.dark .navbar-light .navbar-toggler-icon:before {
    background-color: #fff;
}

body.dark .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    border-color: transparent;
}



/* #Media
================================================== */

@media (max-width: 767px) {
    h1 {
        font-size: 38px;
    }

    .nav-item:after {
        display: none;
    }

    .nav-item::before {
        position: absolute;
        display: block;
        top: 15px;
        left: 0;
        width: 11px;
        height: 1px;
        content: "";
        border: none;
        background-color: #000;
        vertical-align: 0;
    }

    .dropdown-toggle::after {
        position: absolute;
        display: block;
        top: 10px;
        left: -23px;
        width: 1px;
        height: 11px;
        content: "";
        border: none;
        background-color: #000;
        vertical-align: 0;
        transition: all 200ms linear;
    }

    .dropdown-toggle[aria-expanded="true"]::after {
        transform: rotate(90deg);
        opacity: 0;
    }

    .dropdown-menu {
        padding: 0 !important;
        background-color: transparent;
        box-shadow: none;
        transition: all 200ms linear;
    }

    .dropdown-toggle[aria-expanded="true"]+.dropdown-menu {
        margin-top: 10px !important;
        margin-bottom: 20px !important;
    }

    body.dark .nav-item::before {
        background-color: #fff;
    }

    body.dark .dropdown-toggle::after {
        background-color: #fff;
    }

    body.dark .dropdown-menu {
        background-color: transparent;
        box-shadow: none;
    }
}

/* #Link to page
================================================== */

.link-to-portfolio {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 200;
    cursor: pointer;
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 3px;
    background-position: center center;
    background-size: cover;
    background-image: url('../../assets/img/logos/ag-logo14.svg');
    box-shadow: 0 0 0 2px rgba(12, 12, 12, .1);
    transition: opacity .2s, border-radius .2s, box-shadow .2s;
    transition-timing-function: ease-out;
}

.link-to-portfolio:hover {
    opacity: 0.8;
    border-radius: 50%;
    box-shadow: 0 0 0 20px rgba(12, 12, 12, .1);
}